For questions about how to revert to an earlier version of a package or an earlier versions of Ubuntu.

learn more… | top users | synonyms

-1
votes
0answers
47 views

Change from Ubuntu 14.10 to Ubuntu 14.04 LTS

I have Ubuntu 14.10 which is no longer supported (i can't run apt-update for ex connections fail). How can I change to 14.04 LTS version without loosing my data ? Thank you.
0
votes
0answers
51 views

16.04 installed but not usable not can I re-install 15.04 or 15.10 from usb

I originally had 15.04 on my lenovo laptop; I did an upgrade and it installed 16.04 on my old lenovo laptop. I then found that wifi doesn't work. So I wanted to go back to 15.10 so I created a ...
1
vote
2answers
7k views

How to install an older version of Java

I updated my installation of the sun-java6-jdk package today to version 6.24-1build0.10.10.1 after being prompted by the update manager. However this now causes some compilation failures so I'd like ...
0
votes
0answers
29 views

Upgraded to 15.04. PHP/mysqli now having problems with “old passwords” Need to downgrade (what and how?)

I was using 14.04 and PHP 5.5. Upon upgrading, I can no longer use MySQL to access REMOTE and local databases because of old passwords: [Wed Jan 06 17:42:04.030738 2016] [:error] [pid 23736] PHP ...
0
votes
3answers
88 views

Will I lose my data if I downgrade to 14.04?

So I upgraded to Ubuntu 15.04 and I am having A LOT of problems!!! I have decided to go back to 14.04 LTS through my CD.. So I just wanted to know if I will lose my apps and settings if I downgrade ...
0
votes
0answers
33 views

FirePro v4800 driver issues (open source drivers)

It seems that a recent update to the ATI graphics stack has created some problems for me. I had originally tried to get Arch Linux running on my machine, but encountered issues with huge graphics ...
0
votes
2answers
1k views

How to install previous Firefox version?

I'm using Ubuntu 14.04 and I use the Perapera Chinese add-on for Firefox. It worked up to version 39, but now in version 40 it just stopped working. So I tried to downgrade to version 39 following ...
-1
votes
1answer
18 views

How can I downgrade Protocol buffer

I need to install Protocol Buffer 2.4, but I happened to have installed 2.6 already. How can I downgrade? Thank you in advance!
0
votes
0answers
11 views

Upgraded to 16.04 without taking attention [duplicate]

It seems to be strange, but it happened; I've upgraded my system to the latest unstable release 16.04. I'm not able to access unity desktop. However, I was able to launch gnome shell desktop using ...
133
votes
5answers
155k views

How to Downgrade a Package via apt-get?

How to downgrade a package to an older version via apt-get?! Another tools are also accepted but apt-get is preferred.
1
vote
1answer
60 views

How to downgrade Java version 1.6.0_36 to 1.6

I am trying to compile the Android source code version 4.2 in my Ubuntu 14.04. The compilation step is unsuccessful throwing following in terminal. Your version is: java version "1.6.0_36". The ...
1
vote
1answer
886 views

PHP 5.1.6 on Ubuntu

I want to install PHP 5.1.6 on Ubuntu in order to work on legacy PHP application. How can I install PHP 5.1.6 on Ubuntu. I have tried to install 11.10 and followed many online resources to get it ...
13
votes
6answers
23k views

I need downgrade from Subversion 1.8 to subversion 1.7

I've upgraded system from 13.10 to 14.04 LTS Now I need downgrade from Subversion 1.8 to Subversion 1.7, because formats 1.7 vs 1.8 are different and I can not access to svn repo of my team. I've ...
0
votes
0answers
139 views

Downgrade form ubuntu 14.04.3 to 14.04.1

I had previously installed Ubuntu 14.04.1, but accidentally I updated it through software updater to Ubuntu 14.04.3. After getting the upgraded LTS, I am facing issues with system like frequent ...
77
votes
9answers
168k views

How to roll back Ubuntu to a previous version?

I just installed a new version of Ubuntu and I want to roll it back to the previous version. How can I do that? Is that even possible?
0
votes
1answer
88 views

Non LTS to LTS? Possible? [duplicate]

Is it at all possible to move from an non-LTS distro to an LTS one, IE 13.04 to 12.04 LTS? If so, how would it be done?
3
votes
3answers
16k views

how do I downgrade google chrome?

Presumably after an update, google chrome has very serious problems with page rendering. I want to downgrade it. (Switching to vmlinuz.old and initrd.img.old did not help). $ apt-cache policy ...
2
votes
1answer
428 views

Downgrade xorg-server

According to this bug report, intel-virtual-output encounter some difficulties with xorg-server version 1.17.1: david@david-ubuntu:~$ intel-virtual-output XIO: fatal IO error 11 (Resource ...
0
votes
1answer
18 views

How do I find all packages which are manually downgraded

Long time ago I downgraded some packages to make my wifi working more stable on toshiba notebook. Now I would like to get the system upgraded to ppa versions. I remember which packages they were ...
0
votes
1answer
41 views

Can I revert back to 14+ from 15 on an old machine?

So many problems with the new release, my reps and system is fighting them like a virus? Using Lubuntu 15.04 2g cpu with 1027 mem I know it is slow but still makes no sense why it takes so long to ...
1
vote
0answers
216 views

Full downgrade from 14.04.3 lts-vivid stack to standard 14.04 lts stack

the issue is well represented by the title. How can I completely revert the 14.04.3 lts-vivid stack (3.19 kernel + updated graphics stack) to the standard 14.04.0/1 trusty stack? I know that the most ...
0
votes
1answer
93 views

downgrade gedit from 3.10 to 3.6

I am on ubuntu 14.04 and gedit 3.10 In a previous post I asked why zencoding plugin did not work on my version of gedit. But now I realized that from this list for 3.8 ~ 3.10 zencoding is not ...
1
vote
1answer
54 views

Is there a way to install a package available in Ubuntu Karmic on Ubuntu Precise Pangolin?

I want to install gfortran-4.4.1 on Ubuntu 12.04 (Precise Pangolin). But the only versions available in repositories are 4.4.7, 4.5 and 4.6. However gfortran-4.4.1 can be easily installed via apt-get ...
1
vote
2answers
41 views

GNOME is gone. How to fix?

I have had this issue for a few weeks. I use Ubuntu 14.04. I love GNOME and decided to upgrade to 3.12. Then I later decided to downgrade to 3.10, using ppa-purge. I ran sudo apt-get dist-upgrade ...
1
vote
1answer
5k views

Can I downgrade the kernel on Ubuntu 14.04.2?

I have an application that works fine on 14.04.1 but does not work fine on 14.04.2. I found a bug report that indicates the newer kernel in 14.04.2 is the source of this issue. Is possible to ...
8
votes
2answers
14k views

How to downgrade Firefox from 30 to 28?

I've accidentally sudo apt-get upgrade (while c/p-ing instructions to do something and failing to notice that it isn't sudo apt-get update) and it upgraded Firefox from 28 to 30. Now my menus are ...
1
vote
2answers
4k views

How to roll-back or downgrade kernel on 14.04 (re: Wine stopped working)?

With a recent update (I'm on 14.04 LTS), Wine suddenly stopped working. It turns out this has already been reported at WineHQ where the related bug reports are linked. The advice there is to ...
4
votes
1answer
96 views

Apt doesn't want to install an older version of package

I'm building a debian package from the source code. The package has, among the others, the following dependency (part of debian/control): libswarm-dev (>= 0.6.1.0), libswarm-dev (<< 0.7), ...
1
vote
1answer
2k views

Downgrade from PHP 5.6 to 5.5

I need to downgrade my PHP from 5.6 to 5.5 Here is what I've done so far sudo aptitude purge `dpkg -l | grep php| awk '{print $2}' |tr "\n" " "` Then sudo apt-get install ...
1
vote
1answer
5k views

Downgrade Ubuntu Vivid to 14.04

I am now running Ubuntu 15.04 latest version on my Dell laptop(Inspiron 15R). I find this version almost unstable, and not really good for my work. I want to downgrade this version to 14.04. How ...
9
votes
3answers
26k views

How can I remove new kernel versions after downgrading?

I upgraded Ubuntu to 12.04, all packages. But after that I encountered a lot of problems so I decided to downgrade to 11.10. After I did that I found I now have two kernels: 3.2.x and 3.0.x. I found ...
0
votes
1answer
3k views

How to downgrade a package using dpkg

I want to downgrade some packages. I search and find How to downgrade packages on Ubuntu? and this Need to downgrade a package with many dependents and this How to Downgrade a Package via apt-get?. ...
1
vote
1answer
205 views

How can I change from Ubuntu 15.04 Daily Build to stable?

I am using Ubuntu 15.04 Daily Build and I would like to change my system so that it is stable. I imagine this could involve downgrading some packages. How can I go about doing this?
0
votes
0answers
492 views

Downgrade back to stock 3.16 kernel from 3.18.5 on Ubuntu 14.10

I upgraded the kernel to 3.18.5 for my Xbox One controller to use it, but I guess I failed because after I rebooted my laptop, it did a login loop after I logged in. Then I installed the kernel ...
0
votes
1answer
2k views

How to downgrade from ubuntu 15 to ubuntu 14 to escape systemd? [duplicate]

Is it possible to downgrade from ubuntu 15 to ubuntu 14? We would like to stay on 14 until we have decided on a distro to replace ubuntu that does not use systemd. How is that done?
0
votes
1answer
837 views

Fail to boot after downgrading from ubuntu 15.10 to 14.04lts

I can see only "Reboot and select proper device" on laptop startup. Here is my partition configs http://paste.ubuntu.com/10963438/ My laptop model is asus x553m. I need your help!
1
vote
3answers
2k views

How to downgrade from 64-bit to 32-bit

I have a 2gb chromebook with 64-bit ubuntu 12.04 and it runs extremly slow and often crashes so how to I downgrade it to 32-bit or is their another solution?
0
votes
0answers
42 views

No USB ports working after updates

All usb ports stopped working. I observe the light coming out of the mouse and it stops lighting when that nvidia splash screen comes. (which I've never seen before) Apparently it is the graphics ...
1
vote
0answers
278 views

How to downgrade svn working copy with svn version?

I have downgrade my svn from version 1.8 to 1.7.9. Now When i type command like: svn info svn up or any other commands it give an error that: svn: E155021: This client is too old to work with the ...
0
votes
0answers
12 views

Downgrade php to 5.2 via SSH Putty not manually by operating pc [duplicate]

I bought VPS and in that latest php was installed. So, there are some plugins in my Wordpress which is not supported that version. Now I want to downgrade it. How can I do that? Can anyone please tell ...
7
votes
4answers
31k views

Downgrade PHP Version from 5.5 to 5.4 on Ubuntu 14.04

First time I've ever needed to ask a question here that I don't think has already been answered. I've recently been working on transferring over a vBulletin site I run to a new server. Thinking that ...
0
votes
1answer
87 views

How can i downgrade a package installed from source?

i installed glib2.42 from source but that's creating a problem for me. So i tried to downgrade it running make uninstall and installed glib2.28 afterwards. But now when i try to build a software using ...
0
votes
1answer
67 views

How to force apt-get to skip a package version

There is an excellent answer here on how to downgrade a package, but I would like to know how to force apt-get and Software Updater to skip a version. For example, the current release of Firefox is ...
0
votes
2answers
485 views

How to downgrade the gnome terminal

I want to downgrade the gnome-terminal from 3.10.2 to 3.6.2, like in How to downgrade packages on Ubuntu? I tried using synaptic but without success and I don't think it's as easy as with any other ...
0
votes
2answers
382 views

How do I install an old version of a package?

I played a game called SuperTuxKart (and still do) when I had Ubuntu 10.04 installed. The version was 0.6.2. Now I am on Ubuntu 14.04, and I have SuperTuxKart 0.8.1 installed. I was wondering if there ...
1
vote
0answers
374 views

Downgrading GDB from 7.7.1 to 6.8 in Ubuntu 14.04

I currently have GDB version 7.7.1 installed on my system. However, for the combination of Eclipse and a software package called openFOAM (version 2.3.1) I need to downgrade the GDB version to 6.8 in ...
2
votes
10answers
16k views

How to downgrade PHP from 5.3.x to 5.2.x

I need to downgrade my PHP to 5.2.x from 5.3.x Certain software I currently use requires it. I found all these link explaining how to do it but they no longer work because they show you how to use ...
-1
votes
1answer
620 views

Downgrade PHP from 5.5.9 to 5.2.4

I want to downgrade PHP for testing purpose. How i can safely do it? I have Distributor ID: Ubuntu Description: Ubuntu 14.04.1 LTS Release: 14.04 Codename: trusty
13
votes
4answers
5k views

downgrade ppa packages to versions available at a previous point in time

The backstory is that the normal Intel GPU drivers don't do the various OpenGL extensions that my hobby coding and some games want. So I have to install xorg-edgers and then its happy. However, last ...
1
vote
1answer
278 views

Downgrading 64bit to 32bit [duplicate]

Is it possible to downgrade from 14.04.1 64-bit to 32-bit as an old PC is having real trouble running 64-bit.